/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package subscriber;

import java.util.concurrent.Flow.Subscriber;
import java.util.concurrent.Flow.Subscription;

/**
 *
 * @author le
 */
public class ZustandsAdapter implements Subscriber<Boolean>
{
  private SubscriberView view;
  private Datenmodell model;
  private Subscription subscription;
  
  public ZustandsAdapter(SubscriberView view, Datenmodell model)
  {
    this.view = view;
    this.model = model;
  }
  
  public void einschreiben()
  {
    model.addZustandSubscription(this);
  }

  @Override
  public void onSubscribe(Subscription subscription)
  {
    this.subscription = subscription;
    subscription.request(1);
  }

  @Override
  public void onNext(Boolean item)
  {
    subscription.request(1);
  }

  @Override
  public void onError(Throwable throwable)
  {
  }

  @Override
  public void onComplete()
  {
  }

 
}
